AlgorithmImpl< BASE, ALGORITHM_INFO > Class Template Reference

Base class information. More...

Inheritance diagram for AlgorithmImpl< BASE, ALGORITHM_INFO >:

## Public Member Functions

std::string | AlgorithmName () const
| The algorithm name. More...

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class BASE, class ALGORITHM_INFO = BASE>
class AlgorithmImpl< BASE, ALGORITHM_INFO >

Base class information.

Template Parameters

  BASE | an Algorithm derived class
  ALGORITHM_INFO | an Algorithm derived class

AlgorithmImpl provides StaticAlgorithmName from the template parameter BASE

Definition at line 39 of file simple.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class BASE , class ALGORITHM_INFO = BASE>

static std::string AlgorithmImpl< BASE, ALGORITHM_INFO >::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function. The name is taken from information provided by BASE.

Definition at line 46 of file simple.h.

## AlgorithmName()

template<class BASE , class ALGORITHM_INFO = BASE>

std::string AlgorithmImpl< BASE, ALGORITHM_INFO >::AlgorithmName | ( |  | ) | const

inline

The algorithm name.

Returns
  the algorithm name

AlgorithmName returns the algorithm's name as a member function. The name is acquired by calling StaticAlgorithmName.

Definition at line 51 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h